> For the complete documentation index, see [llms.txt](https://docs.propstack.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.propstack.de/reference/portal-export.md).

# Portal-Export

## Objekt zu Portal exportieren

<mark style="color:green;">`POST`</mark> `https://api.propstack.de/v1/portals/publish`

#### Request Body

| Name                                            | Type       | Description                                                                                               |
| ----------------------------------------------- | ---------- | --------------------------------------------------------------------------------------------------------- |
| property\_ids<mark style="color:red;">\*</mark> | integer\[] | Array as Objekt-IDs, die übertragen werden sollen                                                         |
| portal\_ids<mark style="color:red;">\*</mark>   | integer\[] | Array aus Portal-IDs, zu denen die Objekte übertragen werden sollen                                       |
| active                                          | boolean    | default `true`. Wenn `false` angegeben wird, werden die Objekte aus den Portalen entfernt                 |
| is24\_delete                                    | boolean    | default `false`. Wenn `true` angegeben wird, werden die Objekte aus dem ImmobilienScout24-Portal entfernt |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    ok: true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/reference/portal-export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
